<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE xsl:stylesheet [
<!ENTITY nbsp "&#160;">
<!ENTITY egrave "&#232;">
<!ENTITY euro "&#8364;">
<!ENTITY agrave "&#224;">
<!ENTITY eacute "&#233;">
]>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns="http://www.xemelios.org/namespaces#cg-1.0" xmlns:n="http://www.xemelios.org/namespaces#cg-1.0" version="2.0">
    <xsl:template name="header">
        <xsl:param name="Entete"/>
        <xsl:param name="Titre"/>
        <xsl:param name="Titre.Plus"/>
        <table width="100%" style="border-style:none;border-width:0px;cell-padding:0px;cell-spacing:0px">
            <colgroup>
                <xsl:choose>
                    <xsl:when test="$Entete//n:Nomenclature/@V='M21' and name(/n:CompteGestion/n:*[name()!='Entete'])='BalanceGenerale'">
                        <col width="20%"/>
                        <col width="60%"/>
                        <col width="20"/>
                    </xsl:when>
                    <xsl:otherwise>
                        <col width="40%"/>
                        <col width="40%"/>
                        <col width="20"/>
                    </xsl:otherwise>
                </xsl:choose>
            </colgroup>
            <tbody>
                <xsl:choose>
                    <xsl:when test="$Entete//n:Nomenclature/@V='M21' and name(/n:CompteGestion/n:*[name()!='Entete'])!='BalanceGenerale'">
                        <xsl:if test="//n:*/@NumeroEtat">
                            <tr style="border:none;"><td style="border:none; font-size: 16px;" class="titre bold">&#201;tat <xsl:value-of select="//n:*/@NumeroEtat"/></td></tr>
                        </xsl:if>
                        <tr style="border:none;"><td style="border:none;" class="titre bold">N° CODIQUE DU POSTE COMPTABLE : <xsl:value-of select="$Entete//n:Tresorerie/@Codique"/></td></tr>
                        <tr style="border:none;"><td style="border:none;" class="titre bold">NOM DU POSTE COMPTABLE : <xsl:value-of select="$Entete//n:Tresorerie/@LibelleCodique"/></td></tr>
                        <tr style="border:none;"><td style="border:none;" class="titre bold">ETABLISSEMENT : <xsl:value-of select="$Entete//n:Collectivite/@Libelle"/></td></tr>
                    </xsl:when>
                    <xsl:when test="$Entete//n:Collectivite/@SiretBA and $Entete//n:Collectivite/@BudgetBA">
                        <tr style="border:none;"><td style="border:none;" class="titre bold">ETABLISSEMENT : <xsl:value-of select="$Entete//n:Collectivite/@Libelle"/></td></tr>
                        <tr style="border:none;"><td style="border:none;" class="titre bold">BUDGET ANNEXE : <xsl:value-of select="$Entete//n:Collectivite/@BudgetBA"/></td></tr>
                    </xsl:when>
                    <xsl:when test="$Entete//n:Nomenclature/@V='M21' and name(/n:CompteGestion/n:*[name()!='Entete']) = 'BalanceGenerale'">
                        <tr style="border:none;">
                            <td style="border:none;">&#160;</td>
                            <td style="border:none;" class="center"><h2><xsl:value-of select="//n:EnteteBalanceGenerale/@LibelleBudget"/></h2></td>
                            <td style="border:none;">&#160;</td>
                        </tr>
                    </xsl:when>
                    <xsl:otherwise>
                        <tr style="border:none;">
                            <td style="border:none;" class="titre bold"><h3 style="text-align: left;">Poste Comptable de <xsl:value-of select="$Entete//n:Tresorerie/@LibelleCodique"/></h3></td>
                            <td style="border:none;">&nbsp;</td>
                            <td style="border:none;">&nbsp;<xsl:choose><xsl:when test="$Titre and contains(lower-case($Titre),'sommaire')"><h3 style="text-align: right;">Nomenclature <xsl:value-of select="$Entete//n:Nomenclature/@V"/></h3></xsl:when><xsl:when test="//n:FichesBudgetaires or //n:Solde or //n:LivreAuxiliaire or //n:DeveloppementSoldes"><h3 style="text-align: right;">Date Edition : <xsl:call-template name="iso-date-header"><xsl:with-param name="datebrute" select="//n:Pied/@DateEdition"></xsl:with-param></xsl:call-template></h3></xsl:when></xsl:choose></td>
                        </tr>                        
                    </xsl:otherwise>
                </xsl:choose>
                <xsl:if test="$Titre"><tr><td colspan="3" style="border:none;" class="titre center"><h1><xsl:value-of select="$Titre"/></h1></td></tr></xsl:if>
                <xsl:if test="$Titre.Plus"><tr><td colspan="3" style="border:none;" class="titre center"><xsl:copy-of select="$Titre.Plus/child::node()"/></td></tr></xsl:if>
                <tr style="border:none;">
                    <td style="border:none;" colspan="2" class="titre2 bold"><h3 style="text-align: left;"><xsl:choose><xsl:when test="$Entete//n:CompteGestion/@V = 'CG14'"><xsl:value-of select="normalize-space($Entete//n:Tresorerie/@Code)"/> - <xsl:value-of select="normalize-space($Entete//n:Collectivite/@Libelle)"/></xsl:when><xsl:when test="$Entete//n:CompteGestion/@V = 'CG22'"><xsl:value-of select="//n:CompteGestion//@CodeLibelleBudgetCollectivite"/></xsl:when></xsl:choose></h3></td>
                    <td style="border:none;" class="titre2 right bold"><h3 style="text-align: right;">Exercice <xsl:value-of select="$Entete//n:Collectivite/@Exercice"/></h3></td>
                </tr>
            </tbody>
        </table>
    </xsl:template>
    
    <xsl:template name="iso-date-header">
        <xsl:param name="datebrute"/>
        <xsl:choose>
            <xsl:when test="string-length($datebrute)>0 and not(contains($datebrute,'..'))">        
                <xsl:value-of select="substring($datebrute, 9, 2)"/>
                <xsl:text>/</xsl:text>
                <xsl:value-of select="substring($datebrute,6,2)"/>
                <xsl:text>/</xsl:text>
                <xsl:value-of select="substring($datebrute, 1, 4)"/>
            </xsl:when>
            <xsl:when test="string-length($datebrute)>0 and contains($datebrute,'..')">
                <xsl:value-of select="$datebrute"/>
            </xsl:when>
            <xsl:otherwise>-</xsl:otherwise>
        </xsl:choose>
    </xsl:template>
</xsl:stylesheet>